diff --git a/src/util/sss_nss.c b/src/util/sss_nss.c
index 2b73383..406c95c 100644
--- a/src/util/sss_nss.c
+++ b/src/util/sss_nss.c
@@ -36,7 +36,7 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
     const char *orig = NULL;
 
     if (template == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Missing template.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Missing template.\n");
         return NULL;
     }
 
@@ -45,13 +45,13 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
 
     copy = talloc_strdup(tmp_ctx, template);
     if (copy == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup failed.\n");
         goto done;
     }
 
     result = talloc_strdup(tmp_ctx, "");
     if (result == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup failed.\n");
         goto done;
     }
 
@@ -60,15 +60,15 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
         *n = '\0';
         n++;
         if ( *n == '\0' ) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("format error, single %% at the end of "
-                                        "the template.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "format error, single %% at the end of "
+                                        "the template.\n");
             goto done;
         }
         switch( *n ) {
             case 'u':
                 if (username == NULL) {
-                    DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot expand user name template "
-                                                "because user name is empty.\n"));
+                    DEBUG(SSSDBG_CRIT_FAILURE, "Cannot expand user name template "
+                                                "because user name is empty.\n");
                     goto done;
                 }
                 result = talloc_asprintf_append(result, "%s%s", p,
@@ -77,8 +77,8 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
 
             case 'U':
                 if (uid == 0) {
-                    DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot expand uid template "
-                                                "because uid is invalid.\n"));
+                    DEBUG(SSSDBG_CRIT_FAILURE, "Cannot expand uid template "
+                                                "because uid is invalid.\n");
                     goto done;
                 }
                 result = talloc_asprintf_append(result, "%s%d", p,
@@ -87,9 +87,9 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
 
             case 'd':
                 if (domain == NULL) {
-                    DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot expand domain name "
+                    DEBUG(SSSDBG_CRIT_FAILURE, "Cannot expand domain name "
                                                 "template because domain name "
-                                                "is empty.\n"));
+                                                "is empty.\n");
                     goto done;
                 }
                 result = talloc_asprintf_append(result, "%s%s", p,
@@ -98,9 +98,9 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
 
             case 'f':
                 if (domain == NULL || username == NULL) {
-                    DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot expand fully qualified "
+                    DEBUG(SSSDBG_CRIT_FAILURE, "Cannot expand fully qualified "
                                                 "name template because domain "
-                                                "or user name is empty.\n"));
+                                                "or user name is empty.\n");
                     goto done;
                 }
                 result = talloc_asprintf_append(result, "%s%s@%s", p,
@@ -110,8 +110,8 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
             case 'o':
                 if (original == NULL) {
                     DEBUG(SSSDBG_CRIT_FAILURE,
-                          ("Original home directory for %s is not available, "
-                           "using empty string\n", username));
+                          "Original home directory for %s is not available, "
+                           "using empty string\n", username);
                     orig = "";
                 } else {
                     orig = original;
@@ -121,9 +121,9 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
 
             case 'F':
                 if (flatname == NULL) {
-                    DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot expand domain name "
+                    DEBUG(SSSDBG_CRIT_FAILURE, "Cannot expand domain name "
                                                 "template because domain flat "
-                                                "name is empty.\n"));
+                                                "name is empty.\n");
                     goto done;
                 }
                 result = talloc_asprintf_append(result, "%s%s", p, flatname);
@@ -134,13 +134,13 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
                 break;
 
             default:
-                DEBUG(SSSDBG_CRIT_FAILURE, ("format error, unknown template "
-                                            "[%%%c].\n", *n));
+                DEBUG(SSSDBG_CRIT_FAILURE, "format error, unknown template "
+                                            "[%%%c].\n", *n);
                 goto done;
         }
 
         if (result == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_asprintf_append failed.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_asprintf_append failed.\n");
             goto done;
         }
 
@@ -149,7 +149,7 @@ char *expand_homedir_template(TALLOC_CTX *mem_ctx, const char *template,
 
     result = talloc_asprintf_append(result, "%s", p);
     if (result == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_asprintf_append failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_asprintf_append failed.\n");
         goto done;
     }
 
diff --git a/src/util/sss_selinux.c b/src/util/sss_selinux.c
index dcac9ee..d6b939b 100644
--- a/src/util/sss_selinux.c
+++ b/src/util/sss_selinux.c
@@ -66,7 +66,7 @@ bool sss_selinux_match(struct sysdb_attrs *usermap,
     errno_t ret;
 
     if (usermap == NULL) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("NULL given as usermap! Skipping ...\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "NULL given as usermap! Skipping ...\n");
         return false;
     }
 
@@ -86,14 +86,14 @@ bool sss_selinux_match(struct sysdb_attrs *usermap,
     if (user) {
         ret = sysdb_attrs_get_el(user, SYSDB_ORIG_DN, &dn);
         if (ret != EOK) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("User does not have origDN\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "User does not have origDN\n");
             return false;
         }
         ret = sysdb_attrs_get_el(user, SYSDB_ORIG_MEMBEROF, &memberof);
         if (ret != EOK) {
             DEBUG(SSSDBG_TRACE_ALL,
-                  ("User does not have orig memberof, "
-                   "therefore it can't match to any rule\n"));
+                  "User does not have orig memberof, "
+                   "therefore it can't match to any rule\n");
             return false;
         }
 
@@ -113,7 +113,7 @@ bool sss_selinux_match(struct sysdb_attrs *usermap,
 
         if (!matched_category) {
             if (users_el == NULL) {
-                DEBUG(SSSDBG_TRACE_ALL, ("No users specified in the rule!\n"));
+                DEBUG(SSSDBG_TRACE_ALL, "No users specified in the rule!\n");
                 return false;
             } else {
                 matched_name = match_entity(users_el, dn);
@@ -123,7 +123,7 @@ bool sss_selinux_match(struct sysdb_attrs *usermap,
                 } else if (matched_group) {
                     priority |= SELINUX_PRIORITY_USER_GROUP;
                 } else {
-                    DEBUG(SSSDBG_TRACE_ALL, ("User did not match\n"));
+                    DEBUG(SSSDBG_TRACE_ALL, "User did not match\n");
                     return false;
                 }
             }
@@ -135,14 +135,14 @@ bool sss_selinux_match(struct sysdb_attrs *usermap,
     if (host) {
         ret = sysdb_attrs_get_el(host, SYSDB_ORIG_DN, &dn);
         if (ret != EOK) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Host does not have origDN\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Host does not have origDN\n");
             return false;
         }
         ret = sysdb_attrs_get_el(host, SYSDB_ORIG_MEMBEROF, &memberof);
         if (ret != EOK) {
             DEBUG(SSSDBG_TRACE_ALL,
-                  ("Host does not have orig memberof, "
-                   "therefore it can't match to any rule\n"));
+                  "Host does not have orig memberof, "
+                   "therefore it can't match to any rule\n");
             return false;
         }
 
@@ -161,7 +161,7 @@ bool sss_selinux_match(struct sysdb_attrs *usermap,
         }
         if (!matched_category) {
             if (hosts_el == NULL) {
-                DEBUG(SSSDBG_TRACE_ALL, ("No users specified in the rule!\n"));
+                DEBUG(SSSDBG_TRACE_ALL, "No users specified in the rule!\n");
                 return false;
             } else {
                 matched_name = match_entity(hosts_el, dn);
@@ -171,7 +171,7 @@ bool sss_selinux_match(struct sysdb_attrs *usermap,
                 } else if (matched_group) {
                     priority |= SELINUX_PRIORITY_HOST_GROUP;
                 } else {
-                    DEBUG(SSSDBG_TRACE_ALL, ("Host did not match\n"));
+                    DEBUG(SSSDBG_TRACE_ALL, "Host did not match\n");
                     return false;
                 }
             }
@@ -208,7 +208,7 @@ errno_t sss_selinux_extract_user(TALLOC_CTX *mem_ctx,
 
     attrs = talloc_array(tmp_ctx, const char *, 3);
     if (attrs == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_array failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_array failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -219,7 +219,7 @@ errno_t sss_selinux_extract_user(TALLOC_CTX *mem_ctx,
     ret = sysdb_search_user_by_name(tmp_ctx, sysdb, domain, username,
                                     attrs, &user_msg);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_search_user_by_name failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_search_user_by_name failed.\n");
         goto done;
     }
 
diff --git a/src/util/sss_ssh.c b/src/util/sss_ssh.c
index e318762..8690375 100644
--- a/src/util/sss_ssh.c
+++ b/src/util/sss_ssh.c
@@ -45,7 +45,7 @@ sss_ssh_make_ent(TALLOC_CTX *mem_ctx,
     name = ldb_msg_find_attr_as_string(msg, SYSDB_NAME, NULL);
     if (!name) {
         ret = EINVAL;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Host is missing name attribute\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Host is missing name attribute\n");
         goto done;
     }
 
diff --git a/src/util/user_info_msg.c b/src/util/user_info_msg.c
index 25e99d2..89d7456 100644
--- a/src/util/user_info_msg.c
+++ b/src/util/user_info_msg.c
@@ -40,7 +40,7 @@ errno_t pack_user_info_chpass_error(TALLOC_CTX *mem_ctx,
     *resp_len = 2 * sizeof(uint32_t) + err_len;
     resp = talloc_size(mem_ctx, *resp_len);
     if (resp == NULL) {
-        DEBUG(1, ("talloc_size failed.\n"));
+        DEBUG(1, "talloc_size failed.\n");
         return ENOMEM;
     }
 
@@ -49,7 +49,7 @@ errno_t pack_user_info_chpass_error(TALLOC_CTX *mem_ctx,
     SAFEALIGN_SET_UINT32(&resp[p], err_len, &p);
     safealign_memcpy(&resp[p], user_error_message, err_len, &p);
     if (p != *resp_len) {
-        DEBUG(0, ("Size mismatch\n"));
+        DEBUG(0, "Size mismatch\n");
     }
 
     *_resp = resp;
diff --git a/src/util/usertools.c b/src/util/usertools.c
index 88f6480..d602349 100644
--- a/src/util/usertools.c
+++ b/src/util/usertools.c
@@ -87,9 +87,9 @@ static errno_t get_id_provider_default_re(TALLOC_CTX *mem_ctx,
 {
 #ifdef HAVE_LIBPCRE_LESSER_THAN_7
     DEBUG(SSSDBG_MINOR_FAILURE,
-          ("The libpcre version on this system is too old. Only "
+          "The libpcre version on this system is too old. Only "
            "the user@DOMAIN name fully qualified name format will "
-           "be supported\n"));
+           "be supported\n");
     *re_pattern = NULL;
     return EOK;
 #else
@@ -107,8 +107,8 @@ static errno_t get_id_provider_default_re(TALLOC_CTX *mem_ctx,
     ret = confdb_get_string(cdb, mem_ctx, conf_path, CONFDB_DOMAIN_ID_PROVIDER,
                             NULL, &id_provider);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to read ID provider " \
-                                  "from conf db.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to read ID provider " \
+                                  "from conf db.\n");
         goto done;
     }
 
@@ -119,7 +119,7 @@ static errno_t get_id_provider_default_re(TALLOC_CTX *mem_ctx,
             if (strcmp(id_provider, provider_default_re[c].name) == 0) {
                 *re_pattern = talloc_strdup(mem_ctx, provider_default_re[c].re);
                 if (*re_pattern == NULL) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                     ret = ENOMEM;
                     goto done;
                 }
@@ -156,14 +156,14 @@ static errno_t sss_fqnames_init(struct sss_names_ctx *nctx, const char *fq_fmt)
         return ENOMEM;
     }
 
-    DEBUG(SSSDBG_CONF_SETTINGS, ("Using fq format [%s].\n", nctx->fq_fmt));
+    DEBUG(SSSDBG_CONF_SETTINGS, "Using fq format [%s].\n", nctx->fq_fmt);
 
     /* Fail if the name specifier is missing and warn if the domain
      * specifier is missing
      */
     if (strstr(fq_fmt, fqname_patterns[0].pattern) == NULL) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Username pattern not found in [%s]\n", nctx->fq_fmt));
+              "Username pattern not found in [%s]\n", nctx->fq_fmt);
         return ENOENT;
     }
     nctx->fq_flags = FQ_FMT_NAME;
@@ -182,7 +182,7 @@ static errno_t sss_fqnames_init(struct sss_names_ctx *nctx, const char *fq_fmt)
         }
 
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Found the pattern for %s\n", fqname_patterns[i].desc));
+              "Found the pattern for %s\n", fqname_patterns[i].desc);
         nctx->fq_flags |= fqname_patterns[i].flag;
     }
 
@@ -208,12 +208,12 @@ int sss_names_init_from_args(TALLOC_CTX *mem_ctx, const char *re_pattern,
         goto done;
     }
 
-    DEBUG(SSSDBG_CONF_SETTINGS, ("Using re [%s].\n", ctx->re_pattern));
+    DEBUG(SSSDBG_CONF_SETTINGS, "Using re [%s].\n", ctx->re_pattern);
 
     ret = sss_fqnames_init(ctx, fq_fmt);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not check the FQ names format"
-              "[%d]: %s\n", ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not check the FQ names format"
+              "[%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -221,8 +221,8 @@ int sss_names_init_from_args(TALLOC_CTX *mem_ctx, const char *re_pattern,
                             NAME_DOMAIN_PATTERN_OPTIONS,
                             &errval, &errstr, &errpos, NULL);
     if (!ctx->re) {
-        DEBUG(1, ("Invalid Regular Expression pattern at position %d."
-                  " (Error: %d [%s])\n", errpos, errval, errstr));
+        DEBUG(1, "Invalid Regular Expression pattern at position %d."
+                  " (Error: %d [%s])\n", errpos, errval, errstr);
         ret = EFAULT;
         goto done;
     }
@@ -272,8 +272,8 @@ int sss_names_init(TALLOC_CTX *mem_ctx, struct confdb_ctx *cdb,
     if (re_pattern == NULL) {
         ret = get_id_provider_default_re(tmpctx, cdb, conf_path, &re_pattern);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Failed to get provider default regular " \
-                                      "expression for domain [%s].\n", domain));
+            DEBUG(SSSDBG_OP_FAILURE, "Failed to get provider default regular " \
+                                      "expression for domain [%s].\n", domain);
             goto done;
         }
     }
@@ -287,11 +287,11 @@ int sss_names_init(TALLOC_CTX *mem_ctx, struct confdb_ctx *cdb,
         }
 #ifdef HAVE_LIBPCRE_LESSER_THAN_7
     } else {
-        DEBUG(2, ("This binary was build with a version of libpcre that does "
-                  "not support non-unique named subpatterns.\n"));
-        DEBUG(2, ("Please make sure that your pattern [%s] only contains "
+        DEBUG(2, "This binary was build with a version of libpcre that does "
+                  "not support non-unique named subpatterns.\n");
+        DEBUG(2, "Please make sure that your pattern [%s] only contains "
                   "subpatterns with a unique name and uses "
-                  "the Python syntax (?P<name>).\n", re_pattern));
+                  "the Python syntax (?P<name>).\n", re_pattern);
 #endif
     }
 
@@ -337,12 +337,12 @@ int sss_parse_name(TALLOC_CTX *memctx,
     if (ret == PCRE_ERROR_NOMATCH) {
         return EINVAL;
     } else if (ret < 0) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("PCRE Matching error, %d\n", ret));
+        DEBUG(SSSDBG_MINOR_FAILURE, "PCRE Matching error, %d\n", ret);
         return EINVAL;
     }
 
     if (ret == 0) {
-        DEBUG(1, ("Too many matches, the pattern is invalid.\n"));
+        DEBUG(1, "Too many matches, the pattern is invalid.\n");
     }
 
     strnum = ret;
@@ -350,7 +350,7 @@ int sss_parse_name(TALLOC_CTX *memctx,
     result = NULL;
     ret = pcre_get_named_substring(re, orig, ovec, strnum, "name", &result);
     if (ret < 0  || !result) {
-        DEBUG(2, ("Name not found!\n"));
+        DEBUG(2, "Name not found!\n");
         return EINVAL;
     }
     *name = talloc_strdup(memctx, result);
@@ -361,7 +361,7 @@ int sss_parse_name(TALLOC_CTX *memctx,
     result = NULL;
     ret = pcre_get_named_substring(re, orig, ovec, strnum, "domain", &result);
     if (ret < 0  || !result) {
-        DEBUG(4, ("Domain not provided!\n"));
+        DEBUG(4, "Domain not provided!\n");
         *domain = NULL;
     } else {
         /* ignore "" string */
@@ -434,12 +434,12 @@ int sss_parse_name_for_domains(TALLOC_CTX *memctx,
             } else {
                 match = match_any_domain_or_subdomain_name (dom, dmatch);
                 if (match != NULL) {
-                    DEBUG(SSSDBG_FUNC_DATA, ("name '%s' matched expression for "
+                    DEBUG(SSSDBG_FUNC_DATA, "name '%s' matched expression for "
                                              "domain '%s', user is %s\n",
-                                             orig, match->name, nmatch));
+                                             orig, match->name, nmatch);
                     rdomain = talloc_strdup(tmp_ctx, match->name);
                     if (rdomain == NULL) {
-                        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                         ret = ENOMEM;
                         goto done;
                     }
@@ -458,13 +458,13 @@ int sss_parse_name_for_domains(TALLOC_CTX *memctx,
 
     if (rdomain == NULL && rname == NULL) {
         if (candidate_name && !name_mismatch) {
-            DEBUG(SSSDBG_FUNC_DATA, ("name '%s' matched without domain, " \
-                                     "user is %s\n", orig, nmatch));
+            DEBUG(SSSDBG_FUNC_DATA, "name '%s' matched without domain, " \
+                                     "user is %s\n", orig, nmatch);
             rdomain = NULL;
             if (default_domain != NULL) {
                 rdomain = talloc_strdup(tmp_ctx, default_domain);
                 if (rdomain == NULL) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                     ret = ENOMEM;
                     goto done;
                 }
@@ -476,16 +476,16 @@ int sss_parse_name_for_domains(TALLOC_CTX *memctx,
                     }
                 }
                 if (match == NULL) {
-                    DEBUG(SSSDBG_FUNC_DATA, ("default domain [%s] is currently " \
+                    DEBUG(SSSDBG_FUNC_DATA, "default domain [%s] is currently " \
                                              "not know, trying to look it up.\n",
-                                             rdomain));
+                                             rdomain);
                     *domain = talloc_steal(memctx, rdomain);
                     ret = EAGAIN;
                     goto done;
                 }
             }
 
-            DEBUG(SSSDBG_FUNC_DATA, ("using default domain [%s]\n", rdomain));
+            DEBUG(SSSDBG_FUNC_DATA, "using default domain [%s]\n", rdomain);
 
             rname = candidate_name;
         } else if (candidate_domain) {
@@ -497,7 +497,7 @@ int sss_parse_name_for_domains(TALLOC_CTX *memctx,
 
     if (rdomain == NULL && rname == NULL) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("name '%s' did not match any domain's expression\n", orig));
+              "name '%s' did not match any domain's expression\n", orig);
         ret = EINVAL;
         goto done;
     }
@@ -576,8 +576,8 @@ safe_flat_name(struct sss_names_ctx *nctx, struct sss_domain_info *domain)
 
     s = safe_fq_str(nctx, FQ_FMT_FLAT_NAME, domain->flat_name);
     if (s == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Flat name requested but domain has no"
-              "flat name set, falling back to domain name\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Flat name requested but domain has no"
+              "flat name set, falling back to domain name\n");
         s = domain->name;
     }
 
diff --git a/src/util/util.c b/src/util/util.c
index fb3bed1..fe93da1 100644
--- a/src/util/util.c
+++ b/src/util/util.c
@@ -508,8 +508,8 @@ errno_t sss_hash_create_ex(TALLOC_CTX *mem_ctx,
         ret = EIO;
     }
 
-    DEBUG(0, ("Could not create hash table: [%d][%s]\n",
-              hret, hash_error_string(hret)));
+    DEBUG(0, "Could not create hash table: [%d][%s]\n",
+              hret, hash_error_string(hret));
 
     talloc_free(internal_ctx);
     return ret;
@@ -623,7 +623,7 @@ errno_t add_string_to_list(TALLOC_CTX *mem_ctx, const char *string,
     char **new_list = NULL;
 
     if (string == NULL || list_p == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing string or list.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing string or list.\n");
         return EINVAL;
     }
 
@@ -643,13 +643,13 @@ errno_t add_string_to_list(TALLOC_CTX *mem_ctx, const char *string,
     }
 
     if (new_list == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_array/talloc_realloc failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_array/talloc_realloc failed.\n");
         return ENOMEM;
     }
 
     new_list[c] = talloc_strdup(new_list, string);
     if (new_list[c] == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
         talloc_free(new_list);
         return ENOMEM;
     }
diff --git a/src/util/util.h b/src/util/util.h
index f3ab836..aba4913 100644
--- a/src/util/util.h
+++ b/src/util/util.h
@@ -108,9 +108,7 @@ errno_t set_debug_file_from_fd(const int fd);
          {"debug-microseconds", 0, POPT_ARG_INT, &debug_microseconds, 0, \
           _("Show timestamps with microseconds"), NULL},
 
-#define DEBUG_UNWRAP(...) __VA_ARGS__
-
-/** \def DEBUG(level, body)
+/** \def DEBUG(level, format, ...)
     \brief macro to generate debug messages
 
     \param level the debug level, please use one of the SSSDBG_* macros
@@ -123,9 +121,12 @@ errno_t set_debug_file_from_fd(const int fd);
         looking for additional clues
       - 7-10 is for informational stuff
 
-    \param body the debug message you want to send, should end with \n
+    \param format the debug message format string, should result in a
+                  newline-terminated message
+    \param ... the debug message format arguments
 */
-#define DEBUG(level, body) debug_fn(__FUNCTION__, level, DEBUG_UNWRAP body)
+#define DEBUG(level, format, ...) \
+            debug_fn(__FUNCTION__, level, format, ##__VA_ARGS__)
 
 /** \def DEBUG_IS_SET(level)
     \brief checks whether level (must be in new format) is set in debug_level
diff --git a/src/util/util_lock.c b/src/util/util_lock.c
index 8db35a8..b8e41cc 100644
--- a/src/util/util_lock.c
+++ b/src/util/util_lock.c
@@ -51,8 +51,8 @@ errno_t sss_br_lock_file(int fd, size_t start, size_t len,
             ret = errno;
             if (ret == EACCES || ret == EAGAIN || ret == EINTR) {
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("Failed to lock file. Retries left: %d\n",
-                       retries_left - 1));
+                      "Failed to lock file. Retries left: %d\n",
+                       retries_left - 1);
 
                 if ((ret == EACCES || ret == EAGAIN) && (retries_left <= 1)) {
                     /* File is locked by someone else. Return EACCESS
@@ -64,13 +64,13 @@ errno_t sss_br_lock_file(int fd, size_t start, size_t len,
                     ret = usleep(wait);
                     if (ret == -1) {
                         DEBUG(SSSDBG_MINOR_FAILURE,
-                              ("usleep() failed -> ignoring\n"));
+                              "usleep() failed -> ignoring\n");
                     }
                 }
             } else {
                 /* Error occurred */
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Unable to lock file.\n"));
+                      "Unable to lock file.\n");
                 return ret;
             }
         } else if (ret == 0) {
@@ -79,7 +79,7 @@ errno_t sss_br_lock_file(int fd, size_t start, size_t len,
         }
     }
     if (retries_left == 0) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to lock file.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to lock file.\n");
         return ret;
     }
 
-- 
1.8.4.rc3

